purpur не работает на java 17
  • Sanya321
    Sanya321
    28 декабря 2022 - 11:53
    Вы не авторизованы, войдите на сайт.
  • просмотров 345 | ответов 9
Здравствуйте, ядро purpur 1.16.5 не запускается на java 17
Требует java 16 знаю, что это можно исправить.
  • Алексей
    Алексей
    28 декабря 2022 - 11:57
Здравствуйте!
Вы можете выбрать java16 в настройках.
  • Sanya321
    Sanya321
    28 декабря 2022 - 11:59
Хостинг должен запускать с поддержкой jdk
Стоят плагины, которым нужна java 17
Версия ядра подходит, просто нужен jdk

  • Алексей
    Алексей
    28 декабря 2022 - 12:10
Версия ядра подходит, просто нужен jdk
Так сервер и запускается с помощью java-16-openjdk-amd64 У вас плагин для новых версий Minecraft. Поэтому он и не работает. Он написан для более новых версий, которые работают на Java 17 java.lang.UnsupportedClassVersionError: me/addon/quest/ClanQuest был скомпилирован более новой версией среды выполнения Java (версия файла класса 61.0), эта версия среды выполнения Java распознает только версии файла класса до 60.0.
Коды версий JAVA
  • Sanya321
    Sanya321
    28 декабря 2022 - 12:13
Требует java 17, purpur 1.16.5 запускается на этой версии java, скрин выше.(Стороний хост)
А тут не получается
  • Алексей
    Алексей
    28 декабря 2022 - 12:48
-DPaper.IgnoreJavaVersion=true
Флаг вероятно в командной строке стоит для игнорирования версий.
  • Sanya321
    Sanya321
    28 декабря 2022 - 12:53
В данном случае можно также сделать ?
  • Алексей
    Алексей
    28 декабря 2022 - 12:54
В данном случае можно также сделать ?
Сделали для вашего сервера.
  • Sanya321
    Sanya321
    28 декабря 2022 - 13:41
Спасибо, переустановка сервера не собьёт настройку эту?
Понял в чём изменения спасибо 💪
  • Алексей
    Алексей
    28 декабря 2022 - 16:37
Спасибо, переустановка сервера не собьёт настройку эту ?
Не собьёт.